$(document).ready(function(){
    $("body").on('keyup, change', '.dc', validation);    
    
    function validation(){
        var val = $(".dc").val();
        if(val != 'C' && val != 'D'){
            $(".dc").val("");
            $(".openbal").val("");
         alert("Only D or C should be entered");   
        }
    }
    
    });